/* gcc -g -Wall -o main main.c smart.c `pkg-config --cflags --libs ecore-evas` */

#include <stdlib.h>

#include <Evas.h>
#include <Ecore.h>
#include <Ecore_Evas.h>

#include "smart.h"

static void _delete_request_cb(Ecore_Evas *ee);


int main()
{
  Ecore_Evas  *ee;
  Evas        *evas;
  Evas_Object *o;

  if (!ecore_evas_init())
    return EXIT_FAILURE;

  ee = ecore_evas_new("software_x11", 10, 10, 200, 200, NULL);
  if (!ee)
    {
      ecore_evas_shutdown();
      return EXIT_FAILURE;
    }

  ecore_evas_callback_delete_request_set(ee, _delete_request_cb);
  ecore_evas_title_set(ee, "Test");

  evas = ecore_evas_get(ee);

  o = cervoise_add(evas);
  evas_object_move(o, 0, 0);
  evas_object_resize(o, 200, 200);
  evas_object_show(o);

  ecore_evas_object_associate(ee, o, ECORE_EVAS_OBJECT_ASSOCIATE_BASE);

  ecore_evas_show(ee);

  ecore_main_loop_begin();

  ecore_evas_shutdown();

  return EXIT_SUCCESS;
}

static void
_delete_request_cb(Ecore_Evas *ee)
{
  ecore_main_loop_quit();
}
